python3-matplotlib-gtk3-3.0.3-1.1.x86_64.rpm


Advertisement

Description

python3-matplotlib-gtk3 - GTK3 backends for python3-matplotlib

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-matplotlib-gtk3-3.0.3-1.1.x86_64.rpm
Package name python3-matplotlib-gtk3
Package version 3.0.3
Package release 1.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/Python
Homepage http://matplotlib.org
License SUSE-Matplotlib
Maintainer -
Download size 56.71 KB
Installed size 152.13 KB
This package includes the GTK3-based gtk3, gtk3agg, and
gtk3cairo backends for the python3-matplotlib plotting package

Alternatives

Package Version Architecture Repository
python3-matplotlib-gtk3-3.0.3-1.1.i586.rpm 3.0.3 i586 openSUSE Oss
python3-matplotlib-gtk3 - - -

Requires

Name Value
python(abi) = 3.7
python3-gobject -
python3-matplotlib = 3.0.3
python3-matplotlib-cairo = 3.0.3

Provides

Name Value
python3-matplotlib-gtk3 = 3.0.3-1.1
python3-matplotlib-gtk3(x86-64) = 3.0.3-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-matplotlib-gtk3-3.0.3-1.1.x86_64.rpm
Source Package python-matplotlib-3.0.3-1.1.src.rpm

Install Howto

Install python3-matplotlib-gtk3 rpm package:

# zypper install python3-matplotlib-gtk3

Files

Path
/usr/lib64/python3.7/site-packages/matplotlib/backends/backend_gtk3.py
/usr/lib64/python3.7/site-packages/matplotlib/backends/backend_gtk3agg.py
/usr/lib64/python3.7/site-packages/matplotlib/backends/backend_gtk3cairo.py
/usr/lib64/python3.7/site-packages/matplotlib/backends/__pycache__/backend_gtk3.cpython-37.opt-1.pyc
/usr/lib64/python3.7/site-packages/matplotlib/backends/__pycache__/backend_gtk3.cpython-37.pyc
/usr/lib64/python3.7/site-packages/matplotlib/backends/__pycache__/backend_gtk3agg.cpython-37.opt-1.pyc
/usr/lib64/python3.7/site-packages/matplotlib/backends/__pycache__/backend_gtk3agg.cpython-37.pyc
/usr/lib64/python3.7/site-packages/matplotlib/backends/__pycache__/backend_gtk3cairo.cpython-37.opt-1.pyc
/usr/lib64/python3.7/site-packages/matplotlib/backends/__pycache__/backend_gtk3cairo.cpython-37.pyc
/usr/share/licenses/python3-matplotlib-gtk3/license.rst
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE.PIL
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_AMSFONTS
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_BAKOMA
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_COLORBREWER
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_CONDA
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_JQUERY
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_QT4_EDITOR
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_STIX
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_YORICK
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/LICENSE_enthought.txt
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/Solarized.txt
/usr/share/licenses/python3-matplotlib-gtk3/LICENSE/pnpoly.license

Changelog

2019-03-01 - Arun Persaud <arun@gmx.de>
- update to version 3.0.3:
* fix several possible memory leaks
* documentation fixes
* jquery-ui is no longer bundled in git repo and is downloaded
during the install or sdist process. If you are installing from
pypi the files will be included, but if you are installing from
git you will need internet access the first time you run `pip
install .`. The install process tries to cache the files and will
not need internet access on future installations.
2019-02-27 - Fabian Vogt <fvogt@suse.com>
- Disable Qt4 support on Tumbleweed by default
2018-11-12 - Arun Persaud <arun@gmx.de>
- update to version 3.0.2:
* Un-breaks basemap which was broken by partially restoring private
APIs for cartopy.
* Fixes bug in warning code when used in an embedded context.
* Fixes crash when using Tk and closing the first open window before
showing it
* Many documentation improvements.
* Restore a corner case on ColorBar tick usage.
* Change the default behavior of `matplotlib.use` to silently allow
more 'safe' switching after auto-discovery, but before starting an
event loop.
* Improvements to bounding box calculations.
* Provide the correct length for RcParams instances.
2018-10-26 - Todd R <toddrme2178@gmail.com>
- Update to version 3.0.1
* Fix failure to import bug when on Python 3.6.7 and 3.7.1
* Fixed a number of failure to import bugs around finding fonts
* Fix Qt4 backend
* Fix bug on OSX that recursively searched current directory for fonts
* Fix bouncing-rocket on OSX when doing backend fallback and not
selecting OSX
* Temporarily restore several private APIs to unbreak cartopy
* Make pyplot more tolerant of varying signatures in 3rd-party
sub-classe
* Improve datetime64 unit handling
* Fixed several poor interactions with tight_layout
2018-09-19 - Todd R <toddrme2178@gmail.com>
- Update to version 3.0.0
* Improved default backend selection
* Cyclic colormaps
* Ability to scale axis by a fixed order of magnitude
* Add AnchoredDirectionArrows feature to mpl_toolkits
* Add minorticks_on()/off() methods for colorbar
* Colorbar ticks can now be automatic
* Don't automatically rename duplicate file names
* Legend now has a *title_fontsize* kwarg (and rcParam)
* Support for axes.prop_cycle property *markevery* in rcParams
* Multipage PDF support for pgf backend
* Pie charts are now circular by default
* Add ax.get_gridspec to .SubplotBase
* Axes titles will no longer overlap xaxis
* New convenience methods for GridSpec
* Figure has an ~.figure.Figure.add_artist method
* math directive renamed to mathmpl
- Python 2 support was dropped upstream, so disable it in the spec
file and drop python2-specific parts.
- Enable wx backend for python 3, since python 3 is now supported
by wxPython upstream.
2018-08-14 - toddrme2178@gmail.com
- Update to version 2.2.3
* Fix import failure on BSD systems
* Fix import errors in Qt shims for PyQt5 5.11 and PyQt4 4.12
* Fix import errors if bz2 module is not in standard library
* Fix overflow in _path.h
* Fix infinite recursion in transform repr
* Fix bug with XKCD style
* Remove unsafe usage of Popen
2018-06-02 - hpj@urpla.net
- don't use any lua expressions for suse_version < 1500
2018-06-01 - dimstar@opensuse.org
- Only recommend python-matplotlib-tk if tk is already flagged for
installation. On most systems there is no reason to have tk
available (those UIs are out of date and not well perceived
anyway).
2018-05-15 - tbechtold@suse.com
- Add missing Requires for python-backports.functools_lru_cache (boo#1074491)
2018-05-10 - toddrme2178@gmail.com
- Fix building on SLE which doesn't have qhull.

See Also

Package Description
python3-matplotlib-latex-3.0.3-1.1.i586.rpm Allow rendering latex in python3-matplotlib
python3-matplotlib-latex-3.0.3-1.1.x86_64.rpm Allow rendering latex in python3-matplotlib
python3-matplotlib-qt-shared-3.0.3-1.1.i586.rpm Shared files for the Qt backends for python3-matplotlib
python3-matplotlib-qt-shared-3.0.3-1.1.x86_64.rpm Shared files for the Qt backends for python3-matplotlib
python3-matplotlib-qt5-3.0.3-1.1.i586.rpm Qt5 backend for python3-matplotlib
python3-matplotlib-qt5-3.0.3-1.1.x86_64.rpm Qt5 backend for python3-matplotlib
python3-matplotlib-tk-3.0.3-1.1.i586.rpm Tk backend for python3-matplotlib
python3-matplotlib-tk-3.0.3-1.1.x86_64.rpm Tk backend for python3-matplotlib
python3-matplotlib-web-3.0.3-1.1.i586.rpm Web backend for python3-matplotlib
python3-matplotlib-web-3.0.3-1.1.x86_64.rpm Web backend for python3-matplotlib
python3-matplotlib-wx-3.0.3-1.1.i586.rpm WxWidgets backend for python3-matplotlib
python3-matplotlib-wx-3.0.3-1.1.x86_64.rpm WxWidgets backend for python3-matplotlib
python3-matrix-synapse-0.34.1.1-2.1.noarch.rpm Matrix protocol reference homeserver
python3-matrix-synapse-ldap3-0.1.2-1.3.noarch.rpm An LDAP3 auth provider for Synapse
python3-maxminddb-1.4.1-1.2.i586.rpm Reader for the MaxMind DB format
Advertisement
Advertisement